### Hierarchy

- unknown
  - UnregisterDisputeAgentRequest

## Index

### Constructors

- constructor

### Methods

- getDisputeAgentType
- serializeBinary
- setDisputeAgentType
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UnregisterDisputeAgentRequest(): UnregisterDisputeAgentRequest

- Inherited from jspb.Message.constructor

  #### Returns UnregisterDisputeAgentRequest

## Methods

### getDisputeAgentType

- getDisputeAgentType(): string

- - Defined in src/protobuf/grpc_pb.d.ts:633

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:636

  #### Returns Uint8Array

### setDisputeAgentType

- setDisputeAgentType(value: string): UnregisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:634

  #### Parameters

  - ##### value: string

  #### Returns UnregisterDisputeAgentRequest

### toObject

- toObject(includeInstance?: boolean): UnregisterDisputeAgentRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:637

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UnregisterDisputeAgentRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnregisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:640

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnregisterDisputeAgentRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnregisterDisputeAgentRequest, reader: BinaryReader): UnregisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:641

  #### Parameters

  - ##### message: UnregisterDisputeAgentRequest

  - ##### reader: BinaryReader

  #### Returns UnregisterDisputeAgentRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UnregisterDisputeAgentRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:639

  #### Parameters

  - ##### message: UnregisterDisputeAgentRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UnregisterDisputeAgentRequest ): UnregisterDisputeAgentRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:638

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnregisterDisputeAgentRequest

  #### Returns UnregisterDisputeAgentRequest . AsObject

Generated using TypeDoc